Extending Qt Creator Manual | GdbServerPortsGatherer

Extending Qt Creator Manual 4.4.0

# GdbServerPortsGatherer Class

(Debugger::GdbServerPortsGatherer)

Inherits: | ProjectExplorer::RunWorker

- List of all members, including inherited members

## Public Functions

| GdbServerPortsGatherer(ProjectExplorer::RunControl *runControl)
| ~GdbServerPortsGatherer()
Utils::Port | gdbServerPort() const
Utils::Port | qmlServerPort() const
void | setUseGdbServer(bool useIt)
void | setUseQmlServer(bool useIt)
bool | useGdbServer() const
bool | useQmlServer() const

- 23 public functions inherited from ProjectExplorer::RunWorker

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::RunWorker
- 1 static public member inherited from ProjectExplorer::RunWorker

## Member Function Documentation

### GdbServerPortsGatherer::GdbServerPortsGatherer(ProjectExplorer::RunControl *runControl)

Default constructs an instance of GdbServerPortsGatherer.

### GdbServerPortsGatherer::~GdbServerPortsGatherer()

Destroys the instance of GdbServerPortsGatherer.

### Utils::Port GdbServerPortsGatherer::gdbServerPort() const

### Utils::Port GdbServerPortsGatherer::qmlServerPort() const

### void GdbServerPortsGatherer::setUseGdbServer(bool useIt)

See also useGdbServer().

### void GdbServerPortsGatherer::setUseQmlServer(bool useIt)

See also useQmlServer().

### bool GdbServerPortsGatherer::useGdbServer() const

See also setUseGdbServer().

### bool GdbServerPortsGatherer::useQmlServer() const

See also setUseQmlServer().